Bug 279621 - Amarok crash after song change
Summary: Amarok crash after song change
Status: RESOLVED DUPLICATE of bug 207382
Alias: None
Product: amarok
Classification: Applications
Component: general (show other bugs)
Version: 2.4.3
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: 2.5
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-07 23:33 UTC by Felis
Modified: 2011-09-26 11:57 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felis 2011-08-07 23:33:11 UTC
Application: amarok (2.4.3)
KDE Platform Version: 4.7.00 (4.7.0) "release 6"
Qt Version: 4.7.3
Operating System: Linux 2.6.37.6-0.7-desktop i686
Distribution: "openSUSE 11.4 (i586)"

-- Information about the crash:
- What I was doing when the application crashed:

I'm just listening music in shuffle mode. Amarok crashed after song change

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0xb0162720 (LWP 11870))]

Thread 21 (Thread 0xa93c5b70 (LWP 11876)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50cc105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5536aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa9a0ddc6 in os_event_wait_low () from /usr/lib/libmysqld.so.0
#4  0xa9a0c863 in os_aio_simulated_handle () from /usr/lib/libmysqld.so.0
#5  0xa99c8a70 in fil_aio_wait () from /usr/lib/libmysqld.so.0
#6  0xa9a4ab90 in ?? () from /usr/lib/libmysqld.so.0
#7  0xb50c7b05 in start_thread () from /lib/libpthread.so.0
#8  0xb5528d5e in clone () from /lib/libc.so.6

Thread 20 (Thread 0xa70a1b70 (LWP 11877)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50cc105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5536aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa9a0ddc6 in os_event_wait_low () from /usr/lib/libmysqld.so.0
#4  0xa9a0c863 in os_aio_simulated_handle () from /usr/lib/libmysqld.so.0
#5  0xa99c8a70 in fil_aio_wait () from /usr/lib/libmysqld.so.0
#6  0xa9a4ab90 in ?? () from /usr/lib/libmysqld.so.0
#7  0xb50c7b05 in start_thread () from /lib/libpthread.so.0
#8  0xb5528d5e in clone () from /lib/libc.so.6

Thread 19 (Thread 0xa68a0b70 (LWP 11878)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50cc105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5536aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa9a0ddc6 in os_event_wait_low () from /usr/lib/libmysqld.so.0
#4  0xa9a0c863 in os_aio_simulated_handle () from /usr/lib/libmysqld.so.0
#5  0xa99c8a70 in fil_aio_wait () from /usr/lib/libmysqld.so.0
#6  0xa9a4ab90 in ?? () from /usr/lib/libmysqld.so.0
#7  0xb50c7b05 in start_thread () from /lib/libpthread.so.0
#8  0xb5528d5e in clone () from /lib/libc.so.6

Thread 18 (Thread 0xa1eb6b70 (LWP 11879)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50cc105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5536aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa9a0ddc6 in os_event_wait_low () from /usr/lib/libmysqld.so.0
#4  0xa9a0c863 in os_aio_simulated_handle () from /usr/lib/libmysqld.so.0
#5  0xa99c8a70 in fil_aio_wait () from /usr/lib/libmysqld.so.0
#6  0xa9a4ab90 in ?? () from /usr/lib/libmysqld.so.0
#7  0xb50c7b05 in start_thread () from /lib/libpthread.so.0
#8  0xb5528d5e in clone () from /lib/libc.so.6

Thread 17 (Thread 0xa0aadb70 (LWP 11881)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb55219b1 in select () from /lib/libc.so.6
#2  0xa9a0e71b in os_thread_sleep () from /usr/lib/libmysqld.so.0
#3  0xa9a496bc in srv_lock_timeout_thread () from /usr/lib/libmysqld.so.0
#4  0xb50c7b05 in start_thread () from /lib/libpthread.so.0
#5  0xb5528d5e in clone () from /lib/libc.so.6

Thread 16 (Thread 0xa02acb70 (LWP 11882)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb55219b1 in select () from /lib/libc.so.6
#2  0xa9a0e71b in os_thread_sleep () from /usr/lib/libmysqld.so.0
#3  0xa9a499fe in srv_error_monitor_thread () from /usr/lib/libmysqld.so.0
#4  0xb50c7b05 in start_thread () from /lib/libpthread.so.0
#5  0xb5528d5e in clone () from /lib/libc.so.6

Thread 15 (Thread 0x9faabb70 (LWP 11883)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb55219b1 in select () from /lib/libc.so.6
#2  0xa9a0e71b in os_thread_sleep () from /usr/lib/libmysqld.so.0
#3  0xa9a49240 in srv_monitor_thread () from /usr/lib/libmysqld.so.0
#4  0xb50c7b05 in start_thread () from /lib/libpthread.so.0
#5  0xb5528d5e in clone () from /lib/libc.so.6

Thread 14 (Thread 0x9f2aab70 (LWP 11884)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50cc105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5536aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa9a0ddc6 in os_event_wait_low () from /usr/lib/libmysqld.so.0
#4  0xa9a4a0a3 in srv_master_thread () from /usr/lib/libmysqld.so.0
#5  0xb50c7b05 in start_thread () from /lib/libpthread.so.0
#6  0xb5528d5e in clone () from /lib/libc.so.6

Thread 13 (Thread 0x9eaa9b70 (LWP 11885)):
#0  socketNotifierSourcePrepare (timeout=0x9eaa910c) at kernel/qeventdispatcher_glib.cpp:73
#1  0xb4301a70 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#2  0xb43028e2 in ?? () from /lib/libglib-2.0.so.0
#3  0xb4302fce in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0xb6318fc7 in QEventDispatcherGlib::processEvents (this=0x89d27b8, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#5  0xb62e9a6d in QEventLoop::processEvents (this=0x9eaa92a0, flags=...) at kernel/qeventloop.cpp:149
#6  0xb62e9c99 in QEventLoop::exec (this=0x9eaa92a0, flags=...) at kernel/qeventloop.cpp:201
#7  0xb61ead49 in QThread::exec (this=0x89cd098) at thread/qthread.cpp:492
#8  0xb62c97fd in QInotifyFileSystemWatcherEngine::run (this=0x89cd098) at io/qfilesystemwatcher_inotify.cpp:248
#9  0xb61ed993 in QThreadPrivate::start (arg=0x89cd098) at thread/qthread_unix.cpp:320
#10 0xb50c7b05 in start_thread () from /lib/libpthread.so.0
#11 0xb5528d5e in clone () from /lib/libc.so.6

Thread 12 (Thread 0x9e2a8b70 (LWP 11886)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50cc105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5536aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb61ee080 in wait (this=0x8d29638, mutex=0x8d299f0, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x8d29638, mutex=0x8d299f0, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb4d0dab6 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#6  0xb4d108bb in ThreadWeaver::WorkingHardState::waitForAvailableJob(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#7  0xb4d0d6ea in ThreadWeaver::WeaverImpl::waitForAvailableJob(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#8  0xb4d109b4 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#9  0xb4d0d643 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#10 0xb4d0f394 in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#11 0xb4d0f44a in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#12 0xb61ed993 in QThreadPrivate::start (arg=0x8b0caa0) at thread/qthread_unix.cpp:320
#13 0xb50c7b05 in start_thread () from /lib/libpthread.so.0
#14 0xb5528d5e in clone () from /lib/libc.so.6

Thread 11 (Thread 0x9da71b70 (LWP 11887)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50cc105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5536aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb61ee080 in wait (this=0x8d29638, mutex=0x8d299f0, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x8d29638, mutex=0x8d299f0, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb4d0dab6 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#6  0xb4d108bb in ThreadWeaver::WorkingHardState::waitForAvailableJob(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#7  0xb4d0d6ea in ThreadWeaver::WeaverImpl::waitForAvailableJob(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#8  0xb4d109b4 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#9  0xb4d0d643 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#10 0xb4d109d0 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#11 0xb4d0d643 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#12 0xb4d109d0 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#13 0xb4d0d643 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#14 0xb4d109d0 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#15 0xb4d0d643 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#16 0xb4d0f394 in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#17 0xb4d0f44a in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#18 0xb61ed993 in QThreadPrivate::start (arg=0x8bb1040) at thread/qthread_unix.cpp:320
#19 0xb50c7b05 in start_thread () from /lib/libpthread.so.0
#20 0xb5528d5e in clone () from /lib/libc.so.6

Thread 10 (Thread 0x9d270b70 (LWP 11888)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50cc105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5536aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb61ee080 in wait (this=0x8d29638, mutex=0x8d299f0, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x8d29638, mutex=0x8d299f0, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb4d0dab6 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#6  0xb4d108bb in ThreadWeaver::WorkingHardState::waitForAvailableJob(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#7  0xb4d0d6ea in ThreadWeaver::WeaverImpl::waitForAvailableJob(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#8  0xb4d109b4 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#9  0xb4d0d643 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#10 0xb4d109d0 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#11 0xb4d0d643 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#12 0xb4d109d0 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#13 0xb4d0d643 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#14 0xb4d0f394 in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#15 0xb4d0f44a in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#16 0xb61ed993 in QThreadPrivate::start (arg=0x8c7bf48) at thread/qthread_unix.cpp:320
#17 0xb50c7b05 in start_thread () from /lib/libpthread.so.0
#18 0xb5528d5e in clone () from /lib/libc.so.6

Thread 9 (Thread 0x9ca6fb70 (LWP 11889)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50cc105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5536aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb61ee080 in wait (this=0x8d29638, mutex=0x8d299f0, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x8d29638, mutex=0x8d299f0, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb4d0dab6 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#6  0xb4d108bb in ThreadWeaver::WorkingHardState::waitForAvailableJob(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#7  0xb4d0d6ea in ThreadWeaver::WeaverImpl::waitForAvailableJob(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#8  0xb4d109b4 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#9  0xb4d0d643 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#10 0xb4d109d0 in ThreadWeaver::WorkingHardState::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#11 0xb4d0d643 in ThreadWeaver::WeaverImpl::applyForWork(ThreadWeaver::Thread*, ThreadWeaver::Job*) () from /usr/lib/libthreadweaver.so.4
#12 0xb4d0f394 in ThreadWeaver::ThreadRunHelper::run(ThreadWeaver::WeaverImpl*, ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#13 0xb4d0f44a in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#14 0xb61ed993 in QThreadPrivate::start (arg=0x8bb7058) at thread/qthread_unix.cpp:320
#15 0xb50c7b05 in start_thread () from /lib/libpthread.so.0
#16 0xb5528d5e in clone () from /lib/libc.so.6

Thread 8 (Thread 0x9c253b70 (LWP 11890)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50cc105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5536aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb3916e17 in ?? () from /usr/lib/libQtWebKit.so.4
#4  0xb50c7b05 in start_thread () from /lib/libpthread.so.0
#5  0xb5528d5e in clone () from /lib/libc.so.6

Thread 7 (Thread 0x9aed4b70 (LWP 11893)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50cc105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5536aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb4749ed7 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0xb48601a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#4  0xb4749f1f in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0xb48601a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#5  0xb50c7b05 in start_thread () from /lib/libpthread.so.0
#6  0xb5528d5e in clone () from /lib/libc.so.6

Thread 6 (Thread 0x8d5c8b70 (LWP 11905)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50cc105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5536aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa5f4b470 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#4  0xaeb76539 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#5  0xaeb5eafc in ?? () from /usr/lib/libgstreamer-0.10.so.0
#6  0xaeb76539 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#7  0xa5f5aa17 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#8  0xa5f5ac98 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#9  0xaeb76539 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#10 0xaeb5eafc in ?? () from /usr/lib/libgstreamer-0.10.so.0
#11 0xaeb76539 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#12 0xaeaf84b4 in ?? () from /usr/lib/libgstbase-0.10.so.0
#13 0xaeb76539 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#14 0xaeaf84b4 in ?? () from /usr/lib/libgstbase-0.10.so.0
#15 0xaeb76539 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#16 0xa5f4ca4b in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#17 0xaeba097a in ?? () from /usr/lib/libgstreamer-0.10.so.0
#18 0xaeba1b78 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#19 0xb432e593 in ?? () from /lib/libglib-2.0.so.0
#20 0xb432bf44 in ?? () from /lib/libglib-2.0.so.0
#21 0xb50c7b05 in start_thread () from /lib/libpthread.so.0
#22 0xb5528d5e in clone () from /lib/libc.so.6

Thread 5 (Thread 0x8c3bcb70 (LWP 11906)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50cc105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5536aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaeae062f in gst_base_sink_wait_preroll () from /usr/lib/libgstbase-0.10.so.0
#4  0xaa94bcb7 in ?? () from /usr/lib/libgstaudio-0.10.so.0
#5  0xaeae3190 in ?? () from /usr/lib/libgstbase-0.10.so.0
#6  0xaeae7291 in ?? () from /usr/lib/libgstbase-0.10.so.0
#7  0xaeae77c1 in ?? () from /usr/lib/libgstbase-0.10.so.0
#8  0xaeae7cd1 in ?? () from /usr/lib/libgstbase-0.10.so.0
#9  0xaeb76539 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#10 0xaeaf84b4 in ?? () from /usr/lib/libgstbase-0.10.so.0
#11 0xaeb76539 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#12 0xaeaf84b4 in ?? () from /usr/lib/libgstbase-0.10.so.0
#13 0xaeb76539 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#14 0xaeaf84b4 in ?? () from /usr/lib/libgstbase-0.10.so.0
#15 0xaeb76539 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#16 0xa5f4ca4b in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#17 0xaeba097a in ?? () from /usr/lib/libgstreamer-0.10.so.0
#18 0xaeba1b78 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#19 0xb432e593 in ?? () from /lib/libglib-2.0.so.0
#20 0xb432bf44 in ?? () from /lib/libglib-2.0.so.0
#21 0xb50c7b05 in start_thread () from /lib/libpthread.so.0
#22 0xb5528d5e in clone () from /lib/libc.so.6

Thread 4 (Thread 0x8bbbbb70 (LWP 11907)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50cc105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5536aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa5f4b470 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#4  0xaeb76539 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#5  0xaeb5eafc in ?? () from /usr/lib/libgstreamer-0.10.so.0
#6  0xaeb76539 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#7  0xaeb5eafc in ?? () from /usr/lib/libgstreamer-0.10.so.0
#8  0xaeb76539 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#9  0x930056c9 in ?? () from /usr/lib/gstreamer-0.10/libgstflump3dec.so
#10 0x930071c1 in ?? () from /usr/lib/gstreamer-0.10/libgstflump3dec.so
#11 0xaeb76539 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#12 0xaead1f01 in gst_base_parse_push_frame () from /usr/lib/libgstbase-0.10.so.0
#13 0xaead2fa7 in ?? () from /usr/lib/libgstbase-0.10.so.0
#14 0xaead615e in ?? () from /usr/lib/libgstbase-0.10.so.0
#15 0xaeba097a in ?? () from /usr/lib/libgstreamer-0.10.so.0
#16 0xaeba1b78 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#17 0xb432e593 in ?? () from /lib/libglib-2.0.so.0
#18 0xb432bf44 in ?? () from /lib/libglib-2.0.so.0
#19 0xb50c7b05 in start_thread () from /lib/libpthread.so.0
#20 0xb5528d5e in clone () from /lib/libc.so.6

Thread 3 (Thread 0x8b3bab70 (LWP 11908)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50cc105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb5536aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa5f4b470 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#4  0xaeb76539 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#5  0xaeb5eafc in ?? () from /usr/lib/libgstreamer-0.10.so.0
#6  0xaeb76539 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#7  0xa5f5a770 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#8  0xa5f5ac98 in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#9  0xaeb76539 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#10 0xa5f4ca4b in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#11 0xaeba097a in ?? () from /usr/lib/libgstreamer-0.10.so.0
#12 0xaeba1b78 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#13 0xb432e593 in ?? () from /lib/libglib-2.0.so.0
#14 0xb432bf44 in ?? () from /lib/libglib-2.0.so.0
#15 0xb50c7b05 in start_thread () from /lib/libpthread.so.0
#16 0xb5528d5e in clone () from /lib/libc.so.6

Thread 2 (Thread 0xaa93bb70 (LWP 11939)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb551e03e in poll () from /lib/libc.so.6
#2  0xb3f34616 in ?? () from /usr/lib/libpulse.so.0
#3  0xb3f232aa in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#4  0xb3f23aa7 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#5  0xb3f23b84 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#6  0xb3f3459e in ?? () from /usr/lib/libpulse.so.0
#7  0xb21a9186 in ?? () from /usr/lib/libpulsecommon-0.9.22.so
#8  0xb50c7b05 in start_thread () from /lib/libpthread.so.0
#9  0xb5528d5e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb0162720 (LWP 11870)):
[KCrash Handler]
#7  QGraphicsSceneFindItemBspTreeVisitor::visit (this=0x8d04728, items=0x993278c) at graphicsview/qgraphicsscene_bsp.cpp:79
#8  0xb5ec2799 in QGraphicsSceneBspTree::climbTree (this=0x8d04658, visitor=0x8d04728, rect=..., index=83) at graphicsview/qgraphicsscene_bsp.cpp:247
#9  0xb5ec27ce in QGraphicsSceneBspTree::climbTree (this=0x8d04658, visitor=0x8d04728, rect=..., index=41) at graphicsview/qgraphicsscene_bsp.cpp:252
#10 0xb5ec2818 in QGraphicsSceneBspTree::climbTree (this=0x8d04658, visitor=0x8d04728, rect=..., index=9) at graphicsview/qgraphicsscene_bsp.cpp:261
#11 0xb5ec2818 in QGraphicsSceneBspTree::climbTree (this=0x8d04658, visitor=0x8d04728, rect=..., index=1) at graphicsview/qgraphicsscene_bsp.cpp:261
#12 0xb5ec2818 in QGraphicsSceneBspTree::climbTree (this=0x8d04658, visitor=0x8d04728, rect=..., index=0) at graphicsview/qgraphicsscene_bsp.cpp:261
#13 0xb5ec3003 in QGraphicsSceneBspTree::items (this=0x8d04658, rect=..., onlyTopLevelItems=true) at graphicsview/qgraphicsscene_bsp.cpp:154
#14 0xb5ec5c15 in QGraphicsSceneBspTreeIndexPrivate::estimateItems (this=0x8d045f8, rect=..., order=Qt::AscendingOrder, onlyTopLevelItems=true) at graphicsview/qgraphicsscenebsptreeindex.cpp:387
#15 0xb5ec5e43 in QGraphicsSceneBspTreeIndex::estimateTopLevelItems (this=0x8d045e8, rect=..., order=Qt::AscendingOrder) at graphicsview/qgraphicsscenebsptreeindex.cpp:540
#16 0xb5eb8a64 in QGraphicsScenePrivate::drawItems (this=0x8d043b0, painter=0xbff70d24, viewTransform=0x0, exposedRegion=0x817d6b8, widget=0x8cd2c70) at graphicsview/qgraphicsscene.cpp:4733
#17 0xb5ed99be in QGraphicsView::paintEvent (this=0x8b1c240, event=0x0) at graphicsview/qgraphicsview.cpp:3469
#18 0xb5869b4a in QWidget::event (this=0x8b1c240, event=0xbff713e4) at kernel/qwidget.cpp:8405
#19 0xb5c790f5 in QFrame::event (this=0x8b1c240, e=0xbff713e4) at widgets/qframe.cpp:557
#20 0xb5d0ab91 in QAbstractScrollArea::viewportEvent (this=0x8b1c240, e=0xbff713e4) at widgets/qabstractscrollarea.cpp:1043
#21 0xb5edaddc in QGraphicsView::viewportEvent (this=0x8b1c240, event=0xbff713e4) at graphicsview/qgraphicsview.cpp:2864
#22 0xb5d0d486 in viewportEvent (this=0x8b01f30, o=0x8cd2c70, e=0xbff713e4) at widgets/qabstractscrollarea_p.h:100
#23 QAbstractScrollAreaFilter::eventFilter (this=0x8b01f30, o=0x8cd2c70, e=0xbff713e4) at widgets/qabstractscrollarea_p.h:116
#24 0xb62ea926 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x819e170, receiver=0x8cd2c70, event=0xbff713e4) at kernel/qcoreapplication.cpp:846
#25 0xb580e654 in QApplicationPrivate::notify_helper (this=0x819e170, receiver=0x8cd2c70, e=0xbff713e4) at kernel/qapplication.cpp:4458
#26 0xb58174d4 in QApplication::notify (this=0xbff72f34, receiver=0x8cd2c70, e=0xbff713e4) at kernel/qapplication.cpp:4341
#27 0xb75337b1 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#28 0xb62ea78e in QCoreApplication::notifyInternal (this=0xbff72f34, receiver=0x8cd2c70, event=0xbff713e4) at kernel/qcoreapplication.cpp:731
#29 0xb58667e2 in sendSpontaneousEvent (this=0x8cd2c88, pdev=0x98ce1e8, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8ee5800) at ../../src/corelib/kernel/qcoreapplication.h:218
#30 QWidgetPrivate::drawWidget (this=0x8cd2c88, pdev=0x98ce1e8, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8ee5800) at kernel/qwidget.cpp:5492
#31 0xb5867537 in QWidgetPrivate::paintSiblingsRecursive (this=0x817d368, pdev=0x98ce1e8, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8ee5800) at kernel/qwidget.cpp:5699
#32 0xb5866538 in QWidgetPrivate::drawWidget (this=0x817d368, pdev=0x98ce1e8, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8ee5800) at kernel/qwidget.cpp:5545
#33 0xb5867537 in QWidgetPrivate::paintSiblingsRecursive (this=0x8b140a0, pdev=0x98ce1e8, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8ee5800) at kernel/qwidget.cpp:5699
#34 0xb58673fd in QWidgetPrivate::paintSiblingsRecursive (this=0x8b140a0, pdev=0x98ce1e8, siblings=..., index=1, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8ee5800) at kernel/qwidget.cpp:5686
#35 0xb5866538 in QWidgetPrivate::drawWidget (this=0x8b140a0, pdev=0x98ce1e8, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8ee5800) at kernel/qwidget.cpp:5545
#36 0xb5867537 in QWidgetPrivate::paintSiblingsRecursive (this=0x8b32910, pdev=0x98ce1e8, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8ee5800) at kernel/qwidget.cpp:5699
#37 0xb5866538 in QWidgetPrivate::drawWidget (this=0x8b32910, pdev=0x98ce1e8, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8ee5800) at kernel/qwidget.cpp:5545
#38 0xb5867537 in QWidgetPrivate::paintSiblingsRecursive (this=0x85b85e0, pdev=0x98ce1e8, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8ee5800) at kernel/qwidget.cpp:5699
#39 0xb58673fd in QWidgetPrivate::paintSiblingsRecursive (this=0x85b85e0, pdev=0x98ce1e8, siblings=..., index=86, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x8ee5800) at kernel/qwidget.cpp:5686
#40 0xb5866538 in QWidgetPrivate::drawWidget (this=0x85b85e0, pdev=0x98ce1e8, rgn=..., offset=..., flags=5, sharedPainter=0x0, backingStore=0x8ee5800) at kernel/qwidget.cpp:5545
#41 0xb5a55198 in QWidgetBackingStore::sync (this=0x8ee5800) at painting/qbackingstore.cpp:1333
#42 0xb585b45b in QWidgetPrivate::syncBackingStore (this=0x85b85e0) at kernel/qwidget.cpp:1842
#43 0xb586a61a in QWidget::event (this=0x85b8568, event=0x99cd7e0) at kernel/qwidget.cpp:8552
#44 0xb5c9653c in QMainWindow::event (this=0x85b8568, event=0x99cd7e0) at widgets/qmainwindow.cpp:1480
#45 0xb760f4f4 in KMainWindow::event(QEvent*) () from /usr/lib/libkdeui.so.5
#46 0xb580e684 in QApplicationPrivate::notify_helper (this=0x819e170, receiver=0x85b8568, e=0x99cd7e0) at kernel/qapplication.cpp:4462
#47 0xb58174d4 in QApplication::notify (this=0xbff72f34, receiver=0x85b8568, e=0x99cd7e0) at kernel/qapplication.cpp:4341
#48 0xb75337b1 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#49 0xb62ea78e in QCoreApplication::notifyInternal (this=0xbff72f34, receiver=0x85b8568, event=0x99cd7e0) at kernel/qcoreapplication.cpp:731
#50 0xb62ee51c in sendEvent (receiver=0x0, event_type=0, data=0x806dc20) at kernel/qcoreapplication.h:215
#51 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x806dc20) at kernel/qcoreapplication.cpp:1372
#52 0xb62ee66c in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1265
#53 0xb6318df4 in sendPostedEvents (s=0x81a44a8) at kernel/qcoreapplication.h:220
#54 postEventSourceDispatch (s=0x81a44a8) at kernel/qeventdispatcher_glib.cpp:277
#55 0xb4302509 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#56 0xb4302d10 in ?? () from /lib/libglib-2.0.so.0
#57 0xb4302fce in g_main_context_iteration () from /lib/libglib-2.0.so.0
#58 0xb6318f7b in QEventDispatcherGlib::processEvents (this=0x806d7b8, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#59 0xb58c51da in QGuiEventDispatcherGlib::processEvents (this=0x806d7b8, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#60 0xb62e9a6d in QEventLoop::processEvents (this=0xbff72ea4, flags=...) at kernel/qeventloop.cpp:149
#61 0xb62e9c99 in QEventLoop::exec (this=0xbff72ea4, flags=...) at kernel/qeventloop.cpp:201
#62 0xb62ee740 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#63 0xb580c3d4 in QApplication::exec () at kernel/qapplication.cpp:3736
#64 0x080554dd in _start ()

This bug may be a duplicate of or related to bug 269227.

Possible duplicates by query: bug 279069, bug 278072, bug 275980, bug 274856, bug 274446.

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2011-08-08 21:41:07 UTC
This is apparently an upstream bug in Qt, but it should have been fixed since version 4.6.0 beta. Could be a regression that should be reported upstream.

*** This bug has been marked as a duplicate of bug 207382 ***